Class | DocumentSweeper
In: | app/sweepers/document_sweeper.rb
Parent: | ActionController::Caching::Sweeper

### Methods

after_create after_destroy after_update

### Public Instance methods

after_create(document)

If our sweeper detects that a Document was created call this

[Source]

       # File app/sweepers/document_sweeper.rb, line 5
    5:   def after_create(document)
    6:     expire_cache_for(document)
    7:   end

after_destroy(document)

If our sweeper detects that a document was deleted call this

[Source]

        # File app/sweepers/document_sweeper.rb, line 15
    15:   def after_destroy(document)
    16:     expire_cache_for(document)
    17:   end

after_update(document)

If our sweeper detects that a Document was updated call this

[Source]

        # File app/sweepers/document_sweeper.rb, line 10
    10:   def after_update(document)
    11:     expire_cache_for(document)
    12:   end

[Validate]